Name:           gstm
Version:        1.2
Release:        6%{?dist}
Summary:        A front-end to ssh tunneling

Group:          Applications/Internet
License:        GPL
URL:            http://gstm.sourceforge.net
Source0:        http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel, desktop-file-utils, gettext
Requires:       openssh-clients, gaskpass

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for 
managing ssh tunneled portredirects.

%package -n gaskpass
Group:          Applications/Internet
Summary:        A Gnome X11 passphrase dialog for OpenSSH
%description -n gaskpass
%{summary}.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
        --add-category X-Fedora                              \
        --add-category Internet                                \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%files -n gaskpass
%{_bindir}/gaskpass

%changelog
* Sat Mar 10 2007 Damien Durand <splinux@fedoraproject.org> - 1.2-6
- Added gaskpass in Requires (#230389)

* Thu Sep 05 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-5
- Fixed description and datadir/pixmpaps

* Thu Aug 26 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-4
- Added patch from Laurent Rineau

* Thu Aug 19 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-3
- Added openssh in Requires

* Thu Aug 12 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-2
- Removed openssh in BuildRequires

* Thu Aug 08 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-1
- Initial package
